<?php
if ( ! defined( 'ABSPATH' ) ) exit;
/**
 * Topics Grid Template
 *
 * Here we setup all HTML pertaining to the topics grid.
 *
 * @package WooFramework
 * @subpackage Template
 */

	global $woo_options;

	$exclude_cats = '';
	if ( isset( $woo_options['woo_exclude_cats_home'] ) ) {
		$exclude_cats = $woo_options['woo_exclude_cats_home'];
	}

	$processed_cats = array();
	if ( isset( $exclude_cats ) && $exclude_cats != '' ) {
		$cats = explode( ',', $exclude_cats );
		foreach ( $cats as $cat ) {
			if ( is_numeric( $cat ) ) {
				$processed_cats[] = $cat;
			} else {
				$cat = get_category_by_slug( $cat );
				if ( $cat ) { $processed_cats[] = $cat->term_id; }
			}
		}
		$processed_cats = implode( ',', $processed_cats );
	} else {
		$processed_cats = '1';
	}

	$categories = get_categories( array( 'exclude' => $processed_cats ) ); // Exclude "Uncategorized".

?>
<div id="topics">
	<ul>
		<?php
		if ( 0 < count( $categories ) ) {
			foreach( $categories as $category ) {

			?>
				<li>
					<?php echo woo_get_category_image( array( 'cat' => $category->term_id ) ); ?>
					<h1><a href="<?php echo esc_url( get_category_link( $category->term_id ) ); ?>" title="<?php echo esc_attr( $category->name ); ?>"><?php echo $category->name; ?></a></h1>
					<p class="meta">
						<?php printf( _n( '1 Post', '%s Posts', $category->count, 'woothemes' ), $category->count ); ?>,
						<?php $comments_total = woo_get_comments_per_category( $category->term_id ); printf( _n( '1 Comment', '%s Comments', $comments_total, 'woothemes' ), $comments_total ); ?>
					</p>
					<a class="articles-link" href="<?php echo esc_url( get_category_link( $category->term_id ) ); ?>" title="<?php echo $category->name; ?>"><?php _e( 'Articles', 'woothemes' ); ?></a>
				</li>

			<?php
			}
		}
		?>
	</ul>
</div><!-- /#topics -->