<?php
// File Security Check
if ( ! function_exists( 'wp' ) && ! empty( $_SERVER['SCRIPT_FILENAME'] ) && basename( __FILE__ ) == basename( $_SERVER['SCRIPT_FILENAME'] ) ) {
    die ( 'You do not have sufficient permissions to access this page!' );
}
?><?php
/**
 * Index Template
 *
 * Here we setup all logic and XHTML that is required for the index template, used as both the homepage
 * and as a fallback template, if a more appropriate template file doesn't exist for a specific context.
 *
 * @package WooFramework
 * @subpackage Template
 */
	get_header();
	global $woo_options;

?>

    <div id="content"> 

    	<?php woo_main_before(); ?>

		<section id="main">
		
			<ul class="home-tabber">
    			<li class="active"><a href="#articles"><?php _e( 'Articles', 'woothemes' ); ?></a></li>
    			<li><a href="#topics"><?php _e( 'Topics', 'woothemes' ); ?></a></li>
    		</ul>
    		
    		<div id="home-tabs">

	    		<div id="articles">

					<?php woo_loop_before(); ?>
					
					<?php
						// To customise the query used on this template, please uncomment the code below.
						/*
						$paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1; query_posts( array( 'post_type' => 'post', 'paged' => $paged ) );
						*/
	        			if ( have_posts() ) : $count = 0;
	        		?>
					
						<?php /* Start the Loop */ ?>
						<?php while ( have_posts() ) : the_post(); $count++; ?>
					
							<?php
								/* Include the Post-Format-specific template for the content.
								 * If you want to overload this in a child theme then include a file
								 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
								 */
								get_template_part( 'content', get_post_format() );
							?>
					
						<?php endwhile; ?>
					
					<?php else : ?>
					
	        		    <article <?php post_class(); ?>>
	        		        <p><?php _e( 'Sorry, no posts matched your criteria.', 'woothemes' ); ?></p>
	        		    </article><!-- /.post -->
					
	        		<?php endif; ?>
					
	        		<?php woo_loop_after(); ?>
					
					<?php woo_pagenav(); ?>
					
				</div><!-- /#articles -->
				
				<?php get_template_part('includes/homepage-topics'); ?> 

			</div><!-- /#home-tabs -->	
				
		</section><!-- /#main -->

		<?php woo_main_after(); ?>

    </div><!-- /#content -->

<?php get_footer(); ?>