<?php
if ( ! defined( 'ABSPATH' ) ) exit;
/**
 * Single Post Template
 *
 * This template is the default page template. It is used to display content when someone is viewing a
 * singular view of a post ('post' post_type).
 * @link http://codex.wordpress.org/Post_Types#Post
 *
 * @package WooFramework
 * @subpackage Template
 */
	get_header();
	global $woo_options;

/**
 * The Variables
 *
 * Setup default variables, overriding them if the "Theme Options" have been saved.
 */

	$settings = array(
					'thumb_single' => 'true',
					'single_w' => 200,
					'single_h' => 200,
					'thumb_single_align' => 'alignright'
					);

	$settings = woo_get_dynamic_values( $settings );
?>

    <div id="content" class="col-full">

    	<?php woo_main_before(); ?>

		<section id="main">

        <?php
        	if ( have_posts() ) { $count = 0;
        		while ( have_posts() ) { the_post(); $count++;
        ?>
			<article <?php post_class(); ?>>

				<?php echo woo_embed( 'width=580' ); ?>

                <header <?php if ( $settings['thumb_single'] == 'true' && ! woo_embed( '' ) ) { ?> style="background-image: url(<?php echo woo_image( 'return=true&link=url' ); ?>); background-size: cover; background-position: center center;" <?php } ?>>
                
                	<section class="header-content">

	                	<h1><?php the_title(); ?></h1>
                		<?php woo_post_meta(); ?>

                	</section>
                	
                	<nav id="post-entries" class="fix">
	        		    <div class="nav-prev fl"><?php previous_post_link( '%link', '%title' ); ?></div>
	        		    <div class="nav-next fr"><?php next_post_link( '%link', '%title' ); ?></div>
	        		</nav><!-- #post-entries -->
                	
                	<?php //woo_image( 'width=1000&height=300&class=&link=img&noheight=true' );  ?>
                	
<!--                 	<a href="#" title="#"><img src="<?php echo woo_image( 'return=true&link=url&height=300' ); ?>" alt="" /></a> -->

                </header>

                <section class="entry fix">
                	<?php the_content(); ?>
					<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'woothemes' ), 'after' => '</div>' ) ); ?>
					<?php the_tags( '<div class="tags">' . __( 'Tagged as: ', 'woothemes' ), ', ', '</div>' ); ?>
				</section>

            </article><!-- .post -->

				<?php if ( isset( $woo_options['woo_post_author'] ) && $woo_options['woo_post_author'] == 'true' ) { ?>
				<aside id="post-author" class="fix">
					<div class="profile-image"><?php echo get_avatar( get_the_author_meta( 'ID' ), '70' ); ?></div>
					<div class="profile-content">
						<h3 class="title"><?php printf( esc_attr__( 'About %s', 'woothemes' ), get_the_author() ); ?></h3>
						<?php the_author_meta( 'description' ); ?>
						<div class="profile-link">
							<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>">
								<?php printf( __( 'View all posts by %s', 'woothemes' ), get_the_author() ); ?>
							</a>
						</div><!-- #profile-link	-->
					</div><!-- .post-entries -->
				</aside><!-- .post-author-box -->
				<?php } ?>

				<?php woo_subscribe_connect(); ?>

            <?php
            	// Determine wether or not to display comments here, based on "Theme Options".
            	if ( isset( $woo_options['woo_comments'] ) && in_array( $woo_options['woo_comments'], array( 'post', 'both' ) ) ) {
            		comments_template();
            	}

				} // End WHILE Loop
			} else {
		?>
			<article <?php post_class(); ?>>
            	<p><?php _e( 'Sorry, no posts matched your criteria.', 'woothemes' ); ?></p>
			</article><!-- .post -->
       	<?php } ?>

		</section><!-- #main -->

		<?php woo_main_after(); ?>

    </div><!-- #content -->

<?php get_footer(); ?>